import Foundation
import SwiftUI

final class LocalizedPost: ObservableObject {

    @Published
    var title: String

    @Published
    var content: String

    @Published
    var lastModified: Date?

    @Published
    var images: [FileResource]

    @Published
    var linkPreviewImage: FileResource?

    @Published
    var linkPreviewTitle: String?

    @Published
    var linkPreviewDescription: String?

    init(title: String? = nil,
         content: String,
         lastModified: Date? = nil,
         images: [FileResource] = [],
         linkPreviewImage: FileResource? = nil,
         linkPreviewTitle: String? = nil,
         linkPreviewDescription: String? = nil) {
        self.title = title ?? ""
        self.content = content
        self.lastModified = lastModified
        self.images = images
        self.linkPreviewImage = linkPreviewImage
        self.linkPreviewTitle = linkPreviewTitle
        self.linkPreviewDescription = linkPreviewDescription
    }
}
