import Foundation

extension Page {

    static var empty: Page {
        .init(
            content: .mock,
            id: "my-id",
            isDraft: true,
            createdDate: Date(),
            startDate: Date().addingTimeInterval(-86400),
            endDate: nil,
            german: .german,
            english: .english,
            tags: [.mock])
    }
}

extension LocalizedPage {

    static let english = LocalizedPage(
        urlString: "my-project",
        title: "My First Project",
        lastModified: nil,
        originalUrl: "projects/electronics/my-first-project/en.html",
        files: [],
        externalFiles: [],
        requiredFiles: [])

    static let german = LocalizedPage(
        urlString: "mein-projekt",
        title: "Mein Erstes Projekt",
        lastModified: nil,
        originalUrl: "projects/electronics/my-first-project/de.html",
        files: [],
        externalFiles: [],
        requiredFiles: [])
}
