import Foundation

struct PostSettingsFile {

    /// The number of posts to show in a single page of the news feed
    let postsPerPage: Int

    /// The maximum width of the main content
    let contentWidth: Int
}

extension PostSettingsFile: Codable { }

extension PostSettingsFile {

    static var `default`: PostSettingsFile {
        .init(postsPerPage: 25,
              contentWidth: 600)
    }
}
