import Foundation

struct SettingsFile {

    /// The file path to the output directory
    let outputDirectoryPath: String

    let navigationBar: NavigationBarSettingsFile

    let posts: PostSettingsFile

    let pages: PageSettingsFile

    let german: LocalizedSettingsFile

    let english: LocalizedSettingsFile
}

extension SettingsFile: Codable { }

extension SettingsFile {

    static var `default`: SettingsFile {
        .init(
            outputDirectoryPath: "",
            navigationBar: .default,
            posts: .default,
            pages: .default,
            german: .default,
            english: .default
        )
    }
}
