import SwiftUI

struct ImageContentView: View {

    @ObservedObject
    var image: FileResource

    var body: some View {
        image.imageToDisplay
            .resizable()
            .aspectRatio(contentMode: .fit)
    }
}

extension ImageContentView: MainContentView {

    init(item: FileResource) {
        self.image = item
    }

    static let itemDescription = "an image"
}

#Preview {
    ImageContentView(image: .init(resourceImage: "image1", type: .jpg))
}
