import SwiftUI

struct LocalizedPostFeedSettingsView: View {

    @ObservedObject
    var settings: LocalizedPostSettings

    var body: some View {
        VStack(alignment: .leading) {
            Text("Title")
                .font(.headline)
            TextField("", text: $settings.title)
                .textFieldStyle(.roundedBorder)
                .frame(maxWidth: 400)
            Text("The title of all post feed pages.")
                .foregroundStyle(.secondary)
                .padding(.bottom)

            Text("URL prefix")
                .font(.headline)
            TextField("", text: $settings.feedUrlPrefix)
                .textFieldStyle(.roundedBorder)
                .frame(maxWidth: 400)
            Text("The prefix to generate the urls for all post feed pages.")
                .foregroundStyle(.secondary)
                .padding(.bottom)

            Text("Description")
                .font(.headline)
            DescriptionField(text: $settings.description)
            Text("The description of all post feed pages.")
                .foregroundStyle(.secondary)
                .padding(.bottom)
        }
    }
}

#Preview {
    LocalizedPostFeedSettingsView(settings: .english)
        .padding()
}
