import SwiftUI


struct TagDetailView: View {

    @Environment(\.language)
    private var language

    @ObservedObject
    var tag: Tag

    var body: some View {
        LocalizedTagDetailView(
            tagIsVisible: $tag.isVisible,
            tag: tag.localized(in: language))
    }
}

extension TagDetailView: MainContentView {

    init(item: Tag) {
        self.tag = item
    }

    static let itemDescription = "a tag"
}
